Please help with Hot Reload and vue-cli-service serve


#1

Hi there, I can’t seem to get hot reload to work.

I installed a new project with vue-cli webpack. I tried yarn and npm.

Here is my packages.json

{
“name”: “client”,
“version”: “0.1.0”,
“private”: true,
“scripts”: {
“serve”: “vue-cli-service serve”,
“servedev”: “webpack-dev-server --config build/webpack.config.dev.js”,
“build”: “vue-cli-service build”,
“lint”: “vue-cli-service lint”
},
“dependencies”: {
@vue/cli-service”: “^3.5.1”,
“acorn”: “^6.1.1”,
“axios”: “^0.18.0”,
“babel-polyfill”: “^6.26.0”,
“style-loader”: “^0.23.1”,
“vue”: “^2.6.9”,
“vue-moment”: “^4.0.0”,
“vue-router”: “^3.0.2”,
“vuetify”: “^1.5.5”,
“vuex”: “^3.1.0”,
“vuex-router-sync”: “^5.0.0”,
“webpack”: “^4.29.6”
},
“devDependencies”: {
@vue/cli-plugin-babel”: “^3.5.0”,
@vue/cli-plugin-eslint”: “^3.5.0”,
“babel-eslint”: “^10.0.1”,
“eslint”: “^5.8.0”,
“eslint-plugin-vue”: “^5.0.0”,
“html-webpack-plugin”: “^3.2.0”,
“stylus”: “^0.54.5”,
“stylus-loader”: “^3.0.1”,
“vue-cli-plugin-vuetify”: “^0.5.0”,
“vue-template-compiler”: “^2.6.9”,
“vuetify-loader”: “^1.0.5”,
“webpack-cli”: “^3.3.0”,
“webpack-dev-server”: “^3.2.1”
},
“eslintConfig”: {
“root”: true,
“env”: {
“node”: true
},
“extends”: [
“plugin:vue/essential”,
“eslint:recommended”
],
“rules”: {},
“parserOptions”: {
“parser”: “babel-eslint”
}
},
“postcss”: {
“plugins”: {
“autoprefixer”: {}
}
},
“browserslist”: [
“> 1%”,
“last 2 versions”,
“not ie <= 8”
]
}